
User Interface - Bug #2780

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

./image/image10_1.p fails if the working directory contains the required image

10/23/2015 11:54 AM - Sergey Ivanovskiy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Hynek Cihlar % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 10/23/2015 11:57 AM - Sergey Ivanovskiy

If the required image "man_on_moon.png" is in the working directory, then the web/swing client fails with the following exception in its log

SEVERE: {main} Unexpected throwable.

java.lang.reflect.InvocationTargetException

    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:497)

    at com.goldencode.p2j.util.MethodInvoker.invoke(MethodInvoker.java:76)

    at com.goldencode.p2j.net.Dispatcher.processInbound(Dispatcher.java:705)

    at com.goldencode.p2j.net.Conversation.block(Conversation.java:319)

    at com.goldencode.p2j.net.Conversation.waitMessage(Conversation.java:257)

    at com.goldencode.p2j.net.Queue.transactImpl(Queue.java:1128)

    at com.goldencode.p2j.net.Queue.transact(Queue.java:585)

    at com.goldencode.p2j.net.BaseSession.transact(BaseSession.java:223)

    at com.goldencode.p2j.net.HighLevelObject.transact(HighLevelObject.java:163)

    at com.goldencode.p2j.net.RemoteObject$RemoteAccess.invokeCore(RemoteObject.java:1425)

    at com.goldencode.p2j.net.InvocationStub.invoke(InvocationStub.java:97)

    at com.sun.proxy.$Proxy11.standardEntry(Unknown Source)

    at com.goldencode.p2j.main.ClientCore.start(ClientCore.java:277)

    at com.goldencode.p2j.main.ClientCore.start(ClientCore.java:100)

    at com.goldencode.p2j.main.ClientDriver.start(ClientDriver.java:201)

    at com.goldencode.p2j.main.CommonDriver.process(CommonDriver.java:398)

    at com.goldencode.p2j.main.ClientDriver.process(ClientDriver.java:95)

    at com.goldencode.p2j.main.ClientDriver.main(ClientDriver.java:267)

Caused by: java.lang.IllegalStateException: Widget  5 is not attached to a TopLevelWindow instance.

    at com.goldencode.p2j.ui.client.widget.AbstractWidget.topLevelWindow(AbstractWidget.java:294)

    at com.goldencode.p2j.ui.chui.ThinClient.eventDrawingBracket(ThinClient.java:13606)

    at com.goldencode.p2j.ui.client.gui.ImageGuiImpl.setImage(ImageGuiImpl.java:233)

    at com.goldencode.p2j.ui.client.gui.ImageGuiImpl.loadImage(ImageGuiImpl.java:286)

    at com.goldencode.p2j.ui.client.gui.ImageGuiImpl.initialize(ImageGuiImpl.java:152)

    at com.goldencode.p2j.ui.client.gui.ImageGuiImpl.initialize(ImageGuiImpl.java:55)

    at com.goldencode.p2j.ui.client.WidgetRegistry.reconstructWidget(WidgetRegistry.java:131)

    at com.goldencode.p2j.ui.client.WidgetRegistry.pushDefinition(WidgetRegistry.java:388)

    at com.goldencode.p2j.ui.chui.ThinClient$18.run(ThinClient.java:7332)

    at com.goldencode.p2j.ui.chui.ThinClient.eventBracket(ThinClient.java:13685)

    at com.goldencode.p2j.ui.chui.ThinClient.eventDrawingBracket(ThinClient.java:13626)

    at com.goldencode.p2j.ui.chui.ThinClient.pushOneDef(ThinClient.java:7320)

    at com.goldencode.p2j.ui.chui.ThinClient.pushScreenDefinition(ThinClient.java:7268)

    ... 21 more
#2 - 10/23/2015 01:30 PM - Greg Shah

- Assignee set to Hynek Cihlar

- Target version set to Milestone 12

- Start date deleted (10/23/2015)

This may be the same problem as noted in #2564-90

#3 - 10/23/2015 05:30 PM - Hynek Cihlar

A fix has been checked in to 2677a revision 10954.

#4 - 10/23/2015 05:30 PM - Hynek Cihlar

- % Done changed from 0 to 100

#5 - 10/24/2015 11:23 AM - Greg Shah

I'll close this when the task 2564 note 90 issue is cleared.  I realize it is a separate issue, but we don't have another task to easily track it.

#6 - 10/25/2015 09:08 AM - Greg Shah

- Status changed from New to Closed

The issue in 2564 note 90 is fixed in task branch 2677a revision 10959.

#7 - 11/16/2016 12:13 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
